import {App} from "./App";
import debug from "debug";
import path from "path";

const log = debug("itender:server");

const app = new App();

global.appRoot = path.resolve(__dirname);

process.on("uncaughtException", (error) => {

});
process.on("unhandledRejection", (reason, promise) => {

});


(async () => {
    try {
        log("Starting...");

        //await Database.connect();

        await app.listen();


    } catch (e) {
        console.error("---- ERROR ----");
        console.error(e);
        process.exit(-1);
    }
})();

/**
 * tst
 */
function init(): Promise<void> {

    return new Promise(async resolve => {
        log("Initializing...");


        resolve();
    });
}